## iceweasel 2.0.0.19

=== security/nss/cmd/shlibsign/Makefile ===
#! gmake
#
# ***** BEGIN LICENSE BLOCK *****
# Version: MPL 1.1/GPL 2.0/LGPL 2.1
#
# The contents of this file are subject to the Mozilla Public License Version
# 1.1 (the "License"); you may not use this file except in compliance with
# the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS" basis,
# WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
# for the specific language governing rights and limitations under the
# License.
#
# The Original Code is the Netscape security libraries.
#
# The Initial Developer of the Original Code is
# Netscape Communications Corporation.
# Portions created by the Initial Developer are Copyright (C) 1994-2000
# the Initial Developer. All Rights Reserved.
#
# Contributor(s):
#
# Alternatively, the contents of this file may be used under the terms of
# either the GNU General Public License Version 2 or later (the "GPL"), or
# the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
# in which case the provisions of the GPL or the LGPL are applicable instead
# of those above. If you wish to allow use of your version of this file only
# under the terms of either the GPL or the LGPL, and not to allow others to
# use your version of this file under the terms of the MPL, indicate your
# decision by deleting the provisions above and replace them with the notice
# and other provisions required by the GPL or the LGPL. If you do not delete
# the provisions above, a recipient may use your version of this file under
# the terms of any one of the MPL, the GPL or the LGPL.
#
# ***** END LICENSE BLOCK *****

#######################################################################
# (1) Include initial platform-independent assignments (MANDATORY).   #
#######################################################################

include manifest.mn

#######################################################################
# (2) Include "global" configuration information. (OPTIONAL)          #
#######################################################################

include $(CORE_DEPTH)/coreconf/config.mk

#######################################################################
# (3) Include "component" configuration information. (OPTIONAL)       #
#######################################################################

#######################################################################
# (4) Include "local" platform-dependent assignments (OPTIONAL).      #
#######################################################################

include ../platlibs.mk

# sign any and all shared libraries that contain the word freebl

CHECKLIBS = $(DIST)/lib/$(DLL_PREFIX)softokn3.$(DLL_SUFFIX)
CHECKLIBS += $(wildcard $(DIST)/lib/$(DLL_PREFIX)freebl*3.$(DLL_SUFFIX))
CHECKLOC = $(CHECKLIBS:.$(DLL_SUFFIX)=.chk)

MD_LIB_RELEASE_FILES = $(CHECKLOC)
ALL_TRASH += $(CHECKLOC)


#######################################################################
# (5) Execute "global" rules. (OPTIONAL)                              #
#######################################################################

include $(CORE_DEPTH)/coreconf/rules.mk

#######################################################################
# (6) Execute "component" rules. (OPTIONAL)                           #
#######################################################################


#######################################################################
# (7) Execute "local" rules. (OPTIONAL).                              #
#######################################################################


include ../platrules.mk

SRCDIR = $(call core_abspath,.)

%.chk: %.$(DLL_SUFFIX) 
ifeq ($(OS_TARGET), OS2)
	cd $(OBJDIR) ; cmd.exe /c $(SRCDIR)/sign.cmd $(DIST) \
	$(call core_abspath,$(OBJDIR)) $(OS_TARGET) \
	$(call core_abspath,$(NSPR_LIB_DIR)) $(call core_abspath,$<)
else
	cd $(OBJDIR) ; sh $(SRCDIR)/sign.sh $(call core_abspath,$(DIST)) \
	$(call core_abspath,$(OBJDIR)) $(OS_TARGET) \
	$(call core_abspath,$(NSPR_LIB_DIR)) $(call core_abspath,$<)
endif

libs install :: $(CHECKLOC)

## iceweasel 3.5.12

=== debian/changelog ===
iceweasel (3.5.12-2+sparc64) unreleased; urgency=low

  * Add support for sparc64, patch from #596138.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 12 Sep 2010 17:23:19 +0000

iceweasel (3.5.12-2) unstable; urgency=low

  * config/JarMaker.py: Use errno.ENOENT instead of "2" in JarMaker.py.
    bz#595459. Fixes FTBFS on Hurd.
  * debian/rules, debian/xulrunner-dev.install.in: Build npapi_getinfo in
    build-xulrunner/dist/bin, and use an RPATH. Some plugins depend on
    libxpcom.so, and dlopen() from npapi_getinfo fails unless libxpcom.so
    can be loaded too. Fixes FTBFS on hppa as a side effect.

 -- Mike Hommey <glandium@debian.org>  Sat, 11 Sep 2010 09:42:37 +0200

iceweasel (3.5.12-1) unstable; urgency=high

  * New upstream release.
  * Fixes for mfsa2010-{49-51,53-57,60-63}, also known as
    CVE-2010-3169, CVE-2010-2765, CVE-2010-2767, CVE-2010-3166,
    CVE-2010-2760, CVE-2010-3168, CVE-2010-3167, CVE-2010-2766,
    CVE-2010-2763, CVE-2010-2768, CVE-2010-2769, CVE-2010-2764.

  * debian/README.Debian: Move to debian/iceweasel.README.Debian.
  * debian/branding/Makefile.in: Use browser/branding/unofficial/document.png
    instead of browser/app/document.png.
  * debian/branding/content/*.png.uu (removed),
    debian/branding/content/*-base.png, debian/source/include-binaries,
    debian/branding/content/Makefile.in: Replace .uu files with their binary
    counterpart, now that dpkg-dev supports binary files in the debian/
    directory.
  * debian/control*:
    - Remove build dependency on sharutils.
    - Install libmozjs debug symbols together with the xulrunner ones.
  * debian/rules:
    - Refactor file preprocessing.
    - Actually allow the build sequence to start from intermediate stamps.
    - Don't fail to build if the build-xulrunner directory exists.
    - Move .PHONY definitions for test targets to debian/test.mk.
    - Add some sanity checks on version numbers.
    - Use the new DEBIAN_RELEASE variable for dh_gencontrol.
    - Enhance the check-system-libs rule to check in the all autoconf.mk
      files.
    - Further split build and install process in several stamped steps.
    - Actually set CXX in default case, and re-export it.
    - Move stamps creation at the end, so that "touch" always happens at
      the end.
    - Separate dh_xulrunner check from dh_install rule for better debugging.
  * debian/test.mk:
    - Move tests HOME directory into build-xulrunner/dist instead of now
      nonexistent dist.
    - Don't automatically modify TESTS when TEST_PATH is set.
    - Force armel JIT to compile ARMv4T instructions during tests.
    - Define generic -skip rules for tests.
    - Put all tests requiring an application in a separate variable.
    - Use iceweasel for reftest/crashtest.
  * debian/reftest-app: Remove our custom reftest-app.
  * debian/extra-stuff/Makefile.in: Preprocess browser/app/profile/firefox.js
    before creating places.js.
  * debian/branding/content/jar.mn: Add missing aboutFooter.png to branding.
  * debian/rules, debian/noinstall.in: Move testsuite related header field
    removal to noinstall.in.
  * debian/rules, debian/branding/jar.mn, debian/branding/Makefile.in: Check
    the iceweasel branding installs all files provided by upstream unofficial
    branding.
  * debian/dh/dh_xulrunner.in:
    - Fix small formatting issue in dh_xulrunner manual page.
    - Remove debug output in dh_xulrunner.
  * debian/rules, debian/dh/dh_xulrunner_test, debian/dh/dh_xulrunner.in:
    Better check for the dh_xulrunner behaviour.
  * debian/rules, debian/dh/npapi_getinfo.c, debian/dh/dh_xulrunner.in,
    debian/xulrunner-dev.install.in: New dh_xulrunner feature: return
    plugins handled mime types in a substvar.
  * debian/xulrunner-dev.links.in: Install a symlink to nspr-config for the
    SDK.
  * debian/branding/firefox-branding.js: Unset startup.homepage_override_url
    and startup.homepage_welcome_url. In other words, don't display anything
    special after an upgrade or for the first time the browser is started.
  * debian/xulrunner-GRE_VERSION.postinst.in,
    debian/xulrunner-GRE_VERSION.prerm.in,
    debian/xulrunner-GRE_VERSION.manpages.in,
    debian/xulrunner-stub-GRE_VERSION.1.in: Add a /usr/bin/xulrunner-stub
    binary in the form of an alternative, and a corresponding manual page.
  * debian/smjs.1, debian/control*: Add a note that smjs is not recommended
    for production use.

  * extensions/auth/nsHttpNegotiateAuth.cpp: Calculate negotiate auth token
    length after removing padding. bz#592692. Closes: #590040.
  * gfx/qcms/iccread.c: Fix unaligned reads in qcms. bz#504766.
    Closes: #591512.
  * xulrunner/installer/*.pc.in: pkg-config files don't need to require the
    version of nspr xulrunner was built against. Closes: #595842.

 -- Mike Hommey <glandium@debian.org>  Wed, 08 Sep 2010 09:04:41 +0200

iceweasel (3.5.11-2) unstable; urgency=low

  [ iceweasel ]
  * debian/iceweasel.install, debian/rules: Build in a subdirectory instead
    of within the source directory.
  * debian/iceweasel.mozconfig, debian/rules: Move most configure options
    to a separate mozconfig file.
  * debian/iceweasel.install: Install blocklist.xml.
  * debian/noinstall, debian/rules: Remove some installed files from
    debian/tmp, and use dh_install --fail-missing.
  * debian/rules: Add --with-system-libxul configure option.
  * debian/rules: Rename CONFIGURE_OPTIONS to CONFIGURE_FLAGS
  * debian/control*:
    - Reformat.
    - Remove Eric Dorland from the Uploaders field. Given his limited time
      and lost interest, Eric agreed to formally retire from iceweasel
      maintenance. Thanks for all these years, Eric.

  * build/Makefile.in, build/automation-build.mk: Revert cleaning patches.

  [ xulrunner ]
  * debian/control*, debian/extra-stuff/packages-static.xulrunner,
    debian/mozconfig.in, debian/postinstrm.in, debian/python-xpcom.*,
    debian/rules, debian/xulrunner-BASE_VERSION.postinst.in: Remove python


=== debian/control ===
Source: iceweasel
Section: web
Priority: optional
Maintainer: Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>
Uploaders: Mike Hommey <glandium@debian.org>
Build-Depends: autotools-dev,
               debhelper (>= 7.2.3),
               libx11-dev,
               libxt-dev,
               libidl-dev,
               libgtk2.0-dev (>= 2.10),
               libglib2.0-dev (>= 2.18.0),
               libstartup-notification0-dev,
               libgnomevfs2-dev,
               libgnome2-dev,
               libgnomeui-dev,
               libcairo2-dev (>= 1.8.8),
               libpng12-dev,
               libjpeg62-dev,
               zlib1g-dev,
               libbz2-dev,
               libreadline-dev | libreadline5-dev,
               python,
               dpkg-dev (>= 1.13.19),
               libnspr4-dev (>= 4.8),
               libnss3-dev (>= 3.12.6),
               libhunspell-dev (>= 1.2),
               libdbus-glib-1-dev,
               libsqlite3-dev (>= 3.6.16),
               libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
               libiw-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
               zip,
               unzip,
               locales,
               xvfb,
               xfonts-base,
               xauth,
               ttf-bitstream-vera,
               ttf-freefont,
               imagemagick,
               librsvg2-bin,
               xsltproc
Build-Conflicts: graphicsmagick-imagemagick-compat,
                 libhildonmime-dev,
                 libosso-dev
Standards-Version: 3.9.0.0
Vcs-Git: git://git.debian.org/git/pkg-mozilla/iceweasel.git
Vcs-Browser: http://git.debian.org/?p=pkg-mozilla/iceweasel.git

Package: iceweasel
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         fontconfig,
         procps,
         debianutils (>= 1.16),
         xulrunner-1.9.1 (>= 1.9.1.12)
Suggests: ttf-lyx | latex-xft-fonts,
          xfonts-mathml,
          ttf-mathematica4.1,
          xprint,
          mozplugger,
          libgssapi-krb5-2 | libkrb53
Provides: www-browser,
          gnome-www-browser
Description: Web browser based on Firefox
 Firefox is a redesign of the Mozilla browser component, similar to
 Galeon, K-Meleon and Camino, but written using the XUL user interface
 language and designed to be lightweight and cross-platform.
 .
 This browser is based on the Firefox source-code, with minor
 modifications. Historically, this browser was previously known as
 Firebird and Phoenix.

Package: iceweasel-dbg
Architecture: any
Priority: extra
Section: debug
Depends: ${misc:Depends},
         iceweasel (= ${binary:Version}),
         xulrunner-1.9.1-dbg
Description: debugging symbols for iceweasel
 Iceweasel is a redesign of the Mozilla browser component, similar to
 Galeon, K-Meleon and Camino, but written using the XUL user interface
 language and designed to be lightweight and cross-platform.
 .
 This package contains the debugging symbols for iceweasel.

Package: xulrunner-1.9.1
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libnspr4-0d (>> 4.7.1-1),
         libnss3-1d (>> 3.12.0~rc3-1),
         libmozjs2d (= ${binary:Version}),
         libcairo2 (>= 1.8.8)
Suggests: ${gnome:Depends}, libgnomeui-0, libcanberra0
Breaks: iceweasel (<< 3.5.5-1)
Replaces: xulrunner-1.9.1-gnome-support
Conflicts: xulrunner-1.9.1-gnome-support,
           j2re1.4,
           pango-graphite (<< 0.9.3)
Description: XUL + XPCOM application runner
 XULRunner is a single "gecko runtime" that can be used to bootstrap
 multiple XUL + XPCOM applications that are as rich as Firefox and
 Thunderbird.
 .
 XUL is Mozilla's XML based User Interface language that lets you build
 feature-rich cross platform applications. These applications are easily
 customized with alternative text, graphics and layout so that they can be
 readily branded or localized for various markets. Web developers already
 familiar with Dynamic HTML (DHTML) will learn XUL quickly and can start
 building applications right away.
 .
 XPCOM is a cross platform component model. It has multiple language
 bindings and IDL descriptions so programmers can plug their custom
 functionality into the framework and connect it with other components.
 .
 This package also contains the Gecko engine library (libxul)
Homepage: http://developer.mozilla.org/en/docs/XULRunner

Package: libmozjs2d
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Breaks: xulrunner-1.9.1 (<< 1.9.1.10~)
Description: The Mozilla SpiderMonkey JavaScript library
 This library provides the embeddable JavaScript/ECMAScript engine from
 the Mozilla project (used among others by the Mozilla, Epiphany, Firefox
 browsers as well as by the iPlanet WebServer).
Homepage: http://www.mozilla.org/js/

Package: libmozjs-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libmozjs2d (= ${binary:Version}),
         libnspr4-dev
Description: Development files for the Mozilla SpiderMonkey JavaScript library
 This library provides the embeddable JavaScript/ECMAScript engine from
 the Mozilla project (used among others by the Mozilla, Epiphany, Firefox
 browsers as well as by the iPlanet WebServer).
 .
 Install this package if you wish to develop your own programs using the
 Mozilla SpiderMonkey JavaScript library.
Homepage: http://www.mozilla.org/js/

Package: libmozjs2d-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libmozjs2d (= ${binary:Version}),
         ${misc:Depends}
Description: Development files for the Mozilla SpiderMonkey JavaScript library
 This library provides the embeddable JavaScript/ECMAScript engine from
 the Mozilla project (used among others by the Mozilla, Epiphany, Firefox
 browsers as well as by the iPlanet WebServer).
 .
 This package provides the debugging symbols for the library and for
 the spidermonkey-bin package.
Homepage: http://www.mozilla.org/js/

Package: spidermonkey-bin
Section: interpreters
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: standalone JavaScript/ECMAScript (ECMA-262) interpreter
 SpiderMonkey is a standalone JavaScript/ECMAScript interpreter. It can either
 take input from files or from a command line driven interface.
 It is not recommended for production use, as it contains dangerous
 (security-wise) debugging features.
 .
 ECMAScript (ECMA-262) is a dynamic scripting language supporting prototype
 based object construction. The basic syntax is intentionally similar to
 both Java and C++ to reduce the number of new concepts required to learn
 the language. Language constructs, such as if statements, for and while
 loops, and switch and try ... catch blocks function the same as these
 languages (or nearly so).
 .
 JavaScript is a superset of the ECMA-262 Edition 3 (ECMAScript) standard
 first introduced by Netscape and now led by the Mozilla project.
Homepage: http://www.mozilla.org/js/

Package: xulrunner-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         xulrunner-1.9.1 (>= ${binary:Version}),
         libnss3-dev,
         libnspr4-dev,
         libmozjs-dev (>= ${binary:Version})
Description: Development files for the Gecko engine library
 This library provides an  API for XUL applications and Gecko embedders.
 The Gecko engine is the core of the mozilla.org applications such as
 Firefox, Thunderbird or SeaMonkey.
 .
 Gecko features include XPCOM, networking, DOM editing and transaction
 support, XBL, XUL, SVG, XSLT, XML Extras (XMLHttpRequest and DOMParser),
 Web Services (SOAP), accessibility support, IPC services, gtkmozembed, etc.
 .
 Install this package if you wish to embed the Gecko engine in your
 program or want to develop XPCOM components.
 .
 This package also provides the Xulrunner Software Development Kit in the
 same form as the one you may find on mozilla.org in /usr/lib/xulrunner/sdk.
Homepage: http://wiki.mozilla.org/XUL:Lib_XUL

Package: xulrunner-1.9.1-dbg
Section: debug
Priority: extra
Architecture: any
Depends: xulrunner-1.9.1 (= ${binary:Version}),
         libmozjs2d-dbg (= ${binary:Version}),
         ${misc:Depends}
Description: Debugging symbols for the Gecko engine library
 This library provides an  API for XUL applications and Gecko embedders.
 The Gecko engine is the core of the mozilla.org applications such as
 Firefox, Thunderbird or SeaMonkey.
 .
 Gecko features include XPCOM, networking, DOM editing and transaction
 support, XBL, XUL, SVG, XSLT, XML Extras (XMLHttpRequest and DOMParser),
 Web Services (SOAP), accessibility support, IPC services, gtkmozembed, etc.
 .
 This package provides the debugging symbols for the xulrunner-1.9.1
 package.
Homepage: http://wiki.mozilla.org/XUL:Lib_XUL

=== debian/rules ===
#!/usr/bin/make -f
ifeq (,$(shell dh_testdir || echo no))
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_BUILD_ARCH  ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)

GRE_VERSION := 1.9.1

# The VERSION_FILTER transforms upstream version patterns to versions
# useable in debian/changelog. Versions are to be transformed as follows:
# 4.0      -> 4.0
# 4.0pre   -> 4.0~pre
# 4.0b5    -> 4.0~b5
# 4.0b5pre -> 4.0~b5~pre
# That should ensure the proper ordering
VERSION_FILTER := sed 's/\([0-9]\)\([a-z]\)/\1~\2/g'
UPSTREAM_VERSION := $(shell cat browser/config/version.txt)
GRE_MILESTONE := $(shell config/milestone.pl --topsrcdir .| $(VERSION_FILTER))
SO_VERSION := $(shell awk -F'[\t =]+' '$$1 == "SO_VERSION" {print $$2}' js/src/Makefile.in)
# Last version in debian/changelog
DEBIAN_VERSION := $(shell dpkg-parsechangelog | sed -n 's/^Version: *// p')
# Debian part of the above version (anything after the last dash)
DEBIAN_RELEASE := $(lastword $(subst -, ,$(DEBIAN_VERSION)))
# Upstream part of the debian/changelog version (anything before the last dash)
UPSTREAM_RELEASE := $(DEBIAN_VERSION:%-$(DEBIAN_RELEASE)=%)

# Check if the GRE_VERSION defined above matches the actual milestone
ifeq (,$(filter $(GRE_VERSION).%,$(GRE_MILESTONE)))
$(error GRE_VERSION ($(GRE_VERSION)) doesn't match GRE_MILESTONE ($(GRE_MILESTONE)))
endif

# Check if the version in debian/changelog matches actual upstream version
# as VERSION_FILTER transforms it.
FILTERED_UPSTREAM_VERSION := $(shell echo $(UPSTREAM_VERSION) | $(VERSION_FILTER))
ifneq ($(FILTERED_UPSTREAM_VERSION),$(UPSTREAM_RELEASE))
$(error Upstream version in debian/changelog ($(UPSTREAM_RELEASE)) doesn't match actual upstream version ($(FILTERED_UPSTREAM_VERSION)))
endif

LIB_DIR := /usr/lib/iceweasel
SHARE_DIR := /usr/share/iceweasel

CFLAGS := -g
MAIN_LDFLAGS := -Wl,--as-needed

AUTOCONF_DIRS := build/autoconf js/src/build/autoconf

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
	CONFIGURE_FLAGS += --disable-optimize
endif

ifeq ($(DEB_BUILD_ARCH),alpha)
	MAIN_LDFLAGS += -Wl,--no-relax
endif

ifeq ($(DEB_BUILD_ARCH),ppc64)
	CFLAGS += -mminimal-toc
endif

ifneq (,$(filter debug,$(DEB_BUILD_OPTIONS)))
	CONFIGURE_FLAGS += --enable-debug
endif
ifeq (,$(filter debug noopt,$(DEB_BUILD_OPTIONS)))
	GENSYMBOLS_FLAGS := -c4
endif

ifeq (default,$(origin CC))
CC := gcc
endif
ifeq (default,$(origin CXX))
CXX := g++
endif
CXXFLAGS := $(CFLAGS)
ifeq (,$(shell dpkg --compare-versions $(shell $(CXX) -dumpversion) '>=' 4.4 || echo no))
CXXFLAGS += -std=gnu++0x
endif

export CC CXX CFLAGS CXXFLAGS

JS_LDFLAGS := $(MAIN_LDFLAGS)
JS_LDFLAGS += -Wl,--version-script=$(CURDIR)/debian/symbols.filter

GENERATED_FILES += debian/dh/dh_xulrunner.1

debian/dh/dh_xulrunner.1: debian/dh/dh_xulrunner
	pod2man -c Debhelper -r $(GRE_VERSION) $^ > $@

build-xulrunner/dist/bin/npapi_getinfo: debian/dh/npapi_getinfo.c
	$(CC) -o $@ $< -Imodules/plugin/base/public -ldl -Wl,-rpath,\$$ORIGIN

IN_FILES := $(wildcard debian/*.in debian/dh/*.in)
define preprocess
$(subst SO_VERSION,$(SO_VERSION),$(subst GRE_VERSION,$(GRE_VERSION),$(1:.in=))): $(1)
PREPROCESSED_FILES += $(subst SO_VERSION,$(SO_VERSION),$(subst GRE_VERSION,$(GRE_VERSION),$(1:.in=)))
endef
$(foreach f,$(IN_FILES),$(eval $(call preprocess, $(f))))

GENERATED_FILES += $(filter-out debian/control,$(PREPROCESSED_FILES))

$(PREPROCESSED_FILES):
	sed $(foreach var,GRE_VERSION GRE_MILESTONE SO_VERSION,-e 's/##$(var)##/$($(var))/g' )$^ > $@

build-iceweasel/%/Makefile build-xulrunner/%/Makefile:
	cd $(firstword $(subst /, ,$@)) && ../build/autoconf/make-makefile -t .. $*

override_dh_auto_configure:

stamps/prepare-configure:: stamps/dummy
	for dir in $(AUTOCONF_DIRS); do \
		for file in config.guess config.sub; do \
			sed -i '2!b;/^#/ i\exec "/usr/share/misc/'$$file'" "$$@"' $$dir/$$file; \
		done; \
	done

stamps/configure-xulrunner:: stamps/prepare-configure
	$(if $(wildcard build-xulrunner),,mkdir build-xulrunner)
	cd build-xulrunner && \
	MOZCONFIG=$(CURDIR)/debian/xulrunner.mozconfig \
	ASFLAGS="-g" \
	../configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr $(CONFIGURE_FLAGS) \
		--with-default-mozilla-five-home=/usr/lib/xulrunner-$(GRE_VERSION)
	sed -i '/^OS_LDFLAGS/s|=|& $(MAIN_LDFLAGS)|' build-xulrunner/config/autoconf.mk
	sed -i '/^OS_LDFLAGS/s|=|& $(JS_LDFLAGS)|' build-xulrunner/js/src/config/autoconf.mk

stamps/configure-check-xulrunner:: stamps/configure-xulrunner
# Ensure --{with,enable}-system options properly set expected variables
# according to the definitions in the mozconfig file.
	@awk -F' *# *| *$$' ' \
	BEGIN { "find $(CURDIR)/build-xulrunner -name autoconf.mk -printf \"%p \"" | getline confs } \
	$$1 ~ /system/ { \
		if (! $$2) { \
			print FILENAME ": Missing variable for",$$1; \
			error=1; \
		} else { \
			split($$2,var,"="); \
			cmd = "grep -l " var[1] " " confs; \
			cmd | getline dir; \
			sub(/\/[^\/]*$$/, "", dir); \
			cmd = "$(MAKE) -C " dir " --no-print-directory echo-variable-" var[1]; \
			cmd | getline value; \
			if (value != var[2]) { print $$1, "triggered", var[1] "=" value,"instead of",$$2; error=1 } \
		} \
	} \
	END { if (error) { exit 1 }}' debian/xulrunner.mozconfig

stamps/build-xulrunner:: stamps/configure-check-xulrunner
	dh_auto_build --parallel --builddirectory=build-xulrunner

stamps/build-xulrunner-extra:: stamps/build-xulrunner build-xulrunner/debian/extra-stuff/Makefile
	$(MAKE) -C build-xulrunner/debian/extra-stuff

stamps/configure-iceweasel:: stamps/build-xulrunner-extra
	MOZCONFIG=$(CURDIR)/debian/iceweasel.mozconfig \
	dh_auto_configure --builddirectory=build-iceweasel -- $(CONFIGURE_FLAGS) \
		--with-libxul-sdk=$(CURDIR)/build-xulrunner/dist \
		--with-system-libxul --with-system-nspr --with-system-nss
	sed -i '/^OS_LDFLAGS/s|=|& $(MAIN_LDFLAGS)|' build-iceweasel/config/autoconf.mk

stamps/build-iceweasel:: stamps/configure-iceweasel
	dh_auto_build --builddirectory=build-iceweasel

build-iceweasel/%/filelist: stamps/build-iceweasel build-iceweasel/%/Makefile
	rm -rf build-iceweasel/$*/dist
	$(MAKE) -C build-iceweasel/$* MOZ_CHROME_FILE_FORMAT=flat DIST=$(CURDIR)/build-iceweasel/$*/dist BRANDING_TEST=1
	cd build-iceweasel/$*/dist/bin && find -type f | sort > $(CURDIR)/$@

stamps/build-check-iceweasel:: build-iceweasel/browser/branding/unofficial/filelist build-iceweasel/debian/branding/filelist
# Ensure the iceweasel branding contains everything it's supposed to
	diff $^

override_dh_auto_build: stamps/build-check-iceweasel

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
include debian/test.mk
endif

override_dh_auto_clean::
	rm -f MPL
	rm -f debian/libmozjs$(SO_VERSION).symbols.$(DEB_BUILD_ARCH)
	rm -f $(GENERATED_FILES)
	rm -rf stamps

	dh_auto_clean --builddirectory=build-iceweasel
	dh_auto_clean --builddirectory=build-xulrunner
	find . -name "*.pyc" | xargs rm -f

	for dir in $(AUTOCONF_DIRS); do \
		for file in config.guess config.sub; do \
			sed -i '2!b;/^exec "/ d' $$dir/$$file; \
		done; \
	done

override_dh_auto_install: stamps/install-iceweasel stamps/install-xulrunner

stamps/install-xulrunner::
	dh_auto_install --sourcedirectory=build-xulrunner/xulrunner/installer -- MOZ_PKG_MANIFEST=$(CURDIR)/build-xulrunner/debian/extra-stuff/packages-static

	mv debian/tmp/usr/bin/xulrunner debian/tmp/usr/bin/xulrunner-$(GRE_VERSION)

	# Fixup permissions
	find debian/tmp/usr/share debian/tmp/usr/include -type f -print0 | xargs -0 chmod 644

	# Replace some installed files by symlinks
	cd debian/tmp/usr/lib/xulrunner-devel-$(GRE_VERSION)/sdk/lib; \
		for f in *.so; do \
			rm -f $$f; ln -s /usr/lib/xulrunner-$(GRE_VERSION)/$$f $$f; \
		done
	cd debian/tmp/usr/include/xulrunner-$(GRE_VERSION)/stable; \
		for f in *; do \
			rm -f ../unstable/$$f; ln -s ../stable/$$f ../unstable/$$f; \
		done
	cd debian/tmp/usr/share/idl/xulrunner-$(GRE_VERSION)/stable; \
		for f in *; do \

=== debian/watch ===
version=3
opts=dversionmangle=s/^(\d\.[\d\.]+)\+dfsg$/$1/ \
ftp://ftp.mozilla.org/pub/mozilla.org/firefox/releases/(\d\.[\d\.]+)/source/firefox-([\d\.]+)[\.-]source\.tar\.bz2

## iceweasel 3.5.16

=== debian/changelog ===
iceweasel (3.5.16-20) stable-security; urgency=low

  * Fixes for mfsa2012-{91,93,101,105}, also known as
    CVE-2012-5842, CVE-2012-4201, CVE-2012-4207, CVE-2012-5829,
    CVE-2012-4216.
  * Added hard-blocklist for
    https://addons.mozilla.org/en-US/firefox/blocked/i162

 -- Mike Hommey <glandium@debian.org>  Fri, 07 Dec 2012 22:09:28 +0100

iceweasel (3.5.16-19) stable-security; urgency=low

  * Fixes for mfsa2012-{74,77,81,85-87}, also known as
    CVE-2012-3982, CVE-2012-3986, CVE-2012-3991, CVE-2012-4179,
    CVE-2012-4180, CVE-2012-4182, CVE-2012-4186, CVE-2012-4188,
    CVE-2012-3990.
  * Fixes a regression crash from the fix for CVE-2012-3959.

 -- Mike Hommey <glandium@debian.org>  Sun, 21 Oct 2012 00:23:48 +0200

iceweasel (3.5.16-18) stable-security; urgency=low

  * Fixes for mfsa2012-{57-58,63,65,70}, also known as
    CVE-2012-1970, CVE-2012-1972, CVE-2012-1973, CVE-2012-1974,
    CVE-2012-1975, CVE-2012-1976, CVE-2012-3959, CVE-2012-3962,
    CVE-2012-3969, CVE-2012-3972, CVE-2012-3978.

 -- Mike Hommey <glandium@debian.org>  Fri, 21 Sep 2012 16:51:37 +0200

iceweasel (3.5.16-17) stable-security; urgency=low

  * Fixes for mfsa2012-{42-44,46}, also known as
    CVE-2012-1948, CVE-2012-1950, CVE-2012-1954, CVE-2012-1966,
    CVE-2012-1967.

 -- Mike Hommey <glandium@debian.org>  Sat, 14 Jul 2012 09:45:03 +0200

iceweasel (3.5.16-16) stable-security; urgency=low

  * Fixes for mfsa2012-{34,40}, also known as
    CVE-2012-1937, CVE-2012-1939, CVE-2012-1940.

 -- Mike Hommey <glandium@debian.org>  Sat, 02 Jun 2012 09:22:50 +0200

iceweasel (3.5.16-15) stable-security; urgency=low

  * Revert one of the patches for CVE-2012-0467 because of regression crash.
    It turns out the issue that patch addresses isn't dangerous in 3.5.
    Closes: #670586.

 -- Mike Hommey <glandium@debian.org>  Fri, 11 May 2012 09:21:06 +0200

iceweasel (3.5.16-14) stable-security; urgency=low

  * Fixes for mfsa2012-{20,23-24,29,33}, also known as
    CVE-2012-0467, CVE-2012-0470, CVE-2012-0471, CVE-2012-0477,
    CVE-2012-0479.

 -- Mike Hommey <glandium@debian.org>  Sat, 21 Apr 2012 08:53:10 +0200

iceweasel (3.5.16-13) stable-security; urgency=low

  * Fixes for mfsa2012-{13-14,16,19}, also known as
    CVE-2012-0455, CVE-2012-0456, CVE-2012-0458, CVE-2012-0461.

 -- Mike Hommey <glandium@debian.org>  Thu, 15 Mar 2012 08:52:09 +0100

iceweasel (3.5.16-12) stable-security; urgency=low

  * Fixes for mfsa2012-{01,02,07,08}, also known as
    CVE-2012-0442, CVE-2011-3670, CVE-2012-0444, CVE-2012-0449.

 -- Mike Hommey <glandium@debian.org>  Wed, 01 Feb 2012 00:25:12 +0100

iceweasel (3.5.16-11) stable-security; urgency=low

  * Fixes for mfsa2011-{46-47,49}, also known as
    CVE-2011-3647, CVE-2011-3648, CVE-2011-3650.

 -- Mike Hommey <glandium@debian.org>  Tue, 08 Nov 2011 20:36:35 +0100

iceweasel (3.5.16-10) stable-security; urgency=low

  * Fixes for mfsa2011-{36-40}, also known as
    CVE-2011-2995, CVE-2011-2998, CVE-2011-2999, CVE-2011-3000,
    CVE-2011-2372.
  * security/manager/ssl/src/nsIdentityChecking.cpp,
    security/manager/ssl/src/nsNSSCallbacks.*,
    security/manager/ssl/src/nsNSSIOLayer.*: Mark DigiNotar root certificates
    as revoked instead of untrusted.

 -- Mike Hommey <glandium@debian.org>  Thu, 29 Sep 2011 07:56:42 +0200

iceweasel (3.5.16-9) stable-security; urgency=low

  * Fixes for mfsa2011-30, including:
    CVE-2011-2982, CVE-2011-2981, CVE-2011-2378, CVE-2011-2984,
    CVE-2011-2983.

 -- Mike Hommey <glandium@debian.org>  Mon, 15 Aug 2011 13:10:22 +0200

iceweasel (3.5.16-8) stable-security; urgency=low

   * Fixes for mfsa2011-{19,20,22-24}, also known as
     CVE-2011-2374, CVE-2011-2376, CVE-2011-2365, CVE-2011-2373,
     CVE-2011-2371, CVE-2011-0083, CVE-2011-2363, CVE-2011-0085,
     CVE-2011-2362.
   * toolkit/xre/nsAppRunner.cpp: Avoid crash after connecting to an existing
     instance. Closes: #630589.

 -- Mike Hommey <glandium@debian.org>  Fri, 01 Jul 2011 12:22:12 +0200

iceweasel (3.5.16-7) stable-security; urgency=low

  * Fixes for mfsa2011-{12-14,16}, also known as
    CVE-2011-0069, CVE-2011-0070, CVE-2011-0080, CVE-2011-0077,
    CVE-2011-0078, CVE-2011-0072, CVE-2011-0065, CVE-2011-0066,
    CVE-2011-0073, CVE-2011-0067, CVE-2011-0071.
  * gfx/ots/include/opentype-sanitiser.h: strict alignment issues when
    displaying OpenType fonts. bz#643137.

 -- Mike Hommey <glandium@debian.org>  Fri, 29 Apr 2011 10:03:02 +0200

iceweasel (3.5.16-6) stable-security; urgency=low

  * mfsa2011-11: Update to HTTPS certificate blacklist.

 -- Mike Hommey <glandium@debian.org>  Wed, 23 Mar 2011 10:40:43 +0100

iceweasel (3.5.16-5) stable-security; urgency=low

  * Fixes for mfsa2011-{01-08,10}, also known as
    CVE-2011-0053, CVE-2011-0051, CVE-2011-0055, CVE-2011-0054,
    CVE-2011-0056, CVE-2011-0057, CVE-2011-0058, CVE-2010-1585,
    CVE-2011-0059.

 -- Mike Hommey <glandium@debian.org>  Wed, 02 Mar 2011 09:34:14 +0100

iceweasel (3.5.16-4) unstable; urgency=low

  * debian/iceweasel.README.Debian: Fix for the default dsp wrapper behaviour.
  * debian/xulrunner-GRE_VERSION.postinst.in: Revert components registration
    trigger, it didn't fix anything for python-xpcom.
  * debian/iceweasel.desktop: Add russian translation. Closes: #608876.
    Thanks Alexander Sashanov.
  * debian/control.in, debian/rules, debian/xulrunner-GRE_VERSION.links.in:
    Use /usr/share/myspell/dicts for dictionaries when building for lenny.
    Closes: #609111.

  * build/automation.py.in: Add a 2 minutes timeout on automation.py-driven
    tests.

 -- Mike Hommey <glandium@debian.org>  Fri, 07 Jan 2011 14:11:08 +0100

iceweasel (3.5.16-3) unstable; urgency=low

  * debian/xulrunner-GRE_VERSION.postinst.in: Trigger components registration
    after postinst with dpkg-trigger.

  * testing/xpcshell/head.js: Revert previous change.
  * testing/xpcshell/runxpcshelltests.py: Add a 2 minutes timeout on xpcshell


=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                libxt-dev,
                libidl-dev,
                libgtk2.0-dev (>= 2.10),
-               libglib2.0-dev (>= 2.18.0),
+               libglib2.0-dev (>= 2.16.0),
                libstartup-notification0-dev,
                libgnomevfs2-dev,
                libgnome2-dev,
@@ -22,8 +22,8 @@
                libreadline-dev | libreadline5-dev,
                python,
                dpkg-dev (>= 1.13.19),
-               libnspr4-dev (>= 4.8),
-               libnss3-dev (>= 3.12.6),
+               libnspr4-dev (>= 4.8.6),
+               libnss3-dev (>= 3.12.8),
                libhunspell-dev (>= 1.2),
                libdbus-glib-1-dev,
                libsqlite3-dev (>= 3.6.16),
@@ -39,7 +39,8 @@
                ttf-freefont,
                imagemagick,
                librsvg2-bin,
-               xsltproc
+               xsltproc,
+               lsb-release
 Build-Conflicts: graphicsmagick-imagemagick-compat,
                  libhildonmime-dev,
                  libosso-dev
@@ -54,7 +55,7 @@
          fontconfig,
          procps,
          debianutils (>= 1.16),
-         xulrunner-1.9.1 (>= 1.9.1.12)
+         xulrunner-1.9.1 (>= 1.9.1.16)
 Suggests: ttf-lyx | latex-xft-fonts,
           xfonts-mathml,
           ttf-mathematica4.1,

=== debian/rules ===
--- 
+++ 
@@ -96,8 +96,14 @@
 
 GENERATED_FILES += $(filter-out debian/control,$(PREPROCESSED_FILES))
 
+ifeq ($(shell lsb_release -sc),lenny)
+DICT_DIR := /usr/share/myspell/dicts
+else
+DICT_DIR := /usr/share/hunspell
+endif
+
 $(PREPROCESSED_FILES):
-	sed $(foreach var,GRE_VERSION GRE_MILESTONE SO_VERSION,-e 's/##$(var)##/$($(var))/g' )$^ > $@
+	sed $(foreach var,GRE_VERSION GRE_MILESTONE SO_VERSION DICT_DIR,-e 's,##$(var)##,$($(var)),g' )$^ > $@
 
 build-iceweasel/%/Makefile build-xulrunner/%/Makefile:
 	cd $(firstword $(subst /, ,$@)) && ../build/autoconf/make-makefile -t .. $*
@@ -208,5 +214,3 @@
 		for f in *; do \
 			rm -f ../unstable/$$f; ln -s ../stable/$$f ../unstable/$$f; \
 		done
-	cd debian/tmp/usr/share/idl/xulrunner-$(GRE_VERSION)/stable; \
-		for f in *; do \

=== debian/watch ===
version=3
opts=dversionmangle=s/^(\d\.[\d\.]+)\+dfsg$/$1/ \
ftp://ftp.mozilla.org/pub/mozilla.org/firefox/releases/(3\.5\.[\d\.]+)/source/firefox-([\d\.]+)[\.-]source\.tar\.bz2 debian python debian/repack.py

## iceweasel 3.5.19

=== debian/changelog ===
iceweasel (3.5.19-3) unstable; urgency=high

  * Fixes for mfsa2011-{19,20,22-24}, also known as
    CVE-2011-2374, CVE-2011-2376, CVE-2011-2365, CVE-2011-2373,
    CVE-2011-2371, CVE-2011-0083, CVE-2011-2363, CVE-2011-0085,
    CVE-2011-2362.
  * toolkit/xre/nsAppRunner.cpp: Avoid crash after connecting to an existing
    instance. Closes: #630589.

 -- Mike Hommey <glandium@debian.org>  Fri, 01 Jul 2011 11:59:44 +0200

iceweasel (3.5.19-2) unstable; urgency=low

  * xpcom/base/nsDebugImpl.h, xpcom/base/nsTraceRefcntImpl.h,
    xpcom/glue/nsEnumeratorUtils.cpp, xpcom/io/nsUnicharInputStream.h,
    gfx/ots/src/os2.cc, intl/unicharutil/util/nsUnicharUtils.h,
    toolkit/xre/nsAppRunner.cpp, embedding/browser/gtk/src/EmbedPrivate.cpp:
    Add missing constructors according to 8.5 [dcl.init], para 9 in C++03,
    para 6 in C++0x, because gcc 4.6 enforces it.
  * debian/copyright: Updated to fit the replacement of the remove.nonfree
    script.

 -- Mike Hommey <glandium@debian.org>  Sat, 30 Apr 2011 18:36:50 +0200

iceweasel (3.5.19-1) unstable; urgency=low

  * New upstream release.
  * Fixes for mfsa2011-{12-16,18}, also known as
    CVE-2011-0069, CVE-2011-0070, CVE-2011-0080, CVE-2011-0074,
    CVE-2011-0075, CVE-2011-0077, CVE-2011-0078, CVE-2011-0072,
    CVE-2011-0065, CVE-2011-0066, CVE-2011-0073, CVE-2011-0067,
    CVE-2011-0076, CVE-2011-0071, CVE-2011-1202.
  * gfx/ots/include/opentype-sanitiser.h: strict alignment issues when
    displaying OpenType fonts. bz#643137.

 -- Mike Hommey <glandium@debian.org>  Fri, 29 Apr 2011 08:45:13 +0200

iceweasel (3.5.18-1) unstable; urgency=high

  * New upstream release.
  * mfsa2011-11: Update to HTTPS certificate blacklist.

 -- Mike Hommey <glandium@debian.org>  Wed, 23 Mar 2011 10:53:41 +0100

iceweasel (3.5.17-1) unstable; urgency=high

  * New upstream release.
  * Fixes for mfsa2011-{01-08,10}, also known as
    CVE-2011-0053, CVE-2011-0051, CVE-2011-0055, CVE-2011-0054,
    CVE-2011-0056, CVE-2011-0057, CVE-2011-0058, CVE-2010-1585,
    CVE-2011-0059.
  * debian/iceweasel.desktop: Add x-scheme-handler/http* MimeTypes.
    Closes: #613109.

 -- Mike Hommey <glandium@debian.org>  Wed, 02 Mar 2011 09:14:05 +0100

=== debian/control ===
--- 
+++ 
@@ -55,7 +55,7 @@
          fontconfig,
          procps,
          debianutils (>= 1.16),
-         xulrunner-1.9.1 (>= 1.9.1.16)
+         xulrunner-1.9.1 (>= 1.9.1.18)
 Suggests: ttf-lyx | latex-xft-fonts,
           xfonts-mathml,
           ttf-mathematica4.1,
